aboutsummaryrefslogtreecommitdiff
path: root/git-repack.sh
diff options
context:
space:
mode:
authorNicolas Pitre <nico@cam.org>2008-06-25 00:24:53 -0400
committerJunio C Hamano <gitster@pobox.com>2008-06-25 10:56:40 -0700
commit22c79eab2956d7f47ff2495104583a25208565ac (patch)
tree3b07b845691da95c208c2f68bdc4c610c899d88c /git-repack.sh
parent85fe23ed2a5d88463f5362a3e4fdd6f45a0555fd (diff)
downloadgit-22c79eab2956d7f47ff2495104583a25208565ac.tar.gz
git-22c79eab2956d7f47ff2495104583a25208565ac.tar.xz
repack.usedeltabaseoffset config option now defaults to "true"
As announced for 1.6.0. Access over the native protocol by old git versions is unaffected as this capability is negociated by the protocol. Otherwise setting this config option to "false" and doing a 'git repack -a -d' is enough to remain compatible with ancient git versions (older than 1.4.4). Signed-off-by: Nicolas Pitre <nico@cam.org> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-repack.sh')
-rwxr-xr-xgit-repack.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/git-repack.sh b/git-repack.sh
index 072d1b40f..8c3bc134a 100755
--- a/git-repack.sh
+++ b/git-repack.sh
@@ -44,11 +44,7 @@ do
shift
done
-# Later we will default repack.UseDeltaBaseOffset to true
-default_dbo=false
-
-case "`git config --bool repack.usedeltabaseoffset ||
- echo $default_dbo`" in
+case "`git config --bool repack.usedeltabaseoffset || echo true`" in
true)
extra="$extra --delta-base-offset" ;;
esac